import influxframework


def execute():
	name = influxframework.db.sql(
		""" select name from `tabPatch Log` \
		where \
			patch like 'execute:influxframework.db.sql("update `tabProduction Order` pro set description%' """
	)
	if not name:
		influxframework.db.sql(
			"update `tabProduction Order` pro \
			set \
				description = (select description from tabItem where name=pro.production_item) \
			where \
				ifnull(description, '') = ''"
		)
